<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="arm.toolchain.gcc.target.exe.debug.943404352">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="arm.toolchain.gcc.target.exe.debug.943404352" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.analog.crosscore.core.CCESARMErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="clean" description="" errorParsers="com.analog.crosscore.core.CCESARMErrorParser" id="arm.toolchain.gcc.target.exe.debug.943404352" name="Debug" parent="arm.toolchain.gcc.target.exe.debug">
					<folderInfo id="arm.toolchain.gcc.target.exe.debug.943404352." name="/" resourcePath="">
						<toolChain id="arm.gcc.toolchain.exe.debug.1462342242" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base.888422032" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<builder buildPath="${workspace_loc:/adc_tst}/Debug" id="arm.toolchain.builder.base.1446274341" keepEnvironmentInBuildfile="false" name="Gnu Make Builder" superClass="arm.toolchain.builder.base"/>
							<tool id="arm.toolchain.gcc.assembler.1066089763" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler">
								<option id="arm.assembler.option.debuginfo.1919961738" name="Generate debug information (-g)" superClass="arm.assembler.option.debuginfo"/>
								<option id="arm.toolchain.gcc.assembler.option.mcpu.1029576878" name="-mcpu" superClass="arm.toolchain.gcc.assembler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.assembler.option.proc.1326675012" name="-mproc" superClass="arm.base.assembler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.assembler.option.sirevision.18200286" name="-msi-revision" superClass="arm.assembler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.assembler.option.preprocessdefs.285786195" name="Preprocessor definitions (-D):" superClass="arm.assembler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_DEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.assembler.option.additionaldirectories.258033411" name="Additional include directories (-I):" superClass="arm.assembler.option.additionaldirectories" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<inputType id="arm.toolchain.assembler.base.input.29326107" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.1698860979" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler">
								<option defaultValue="false" id="arm.base.compiler.option.optimization.enable.925662794" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.og" id="arm.base.compiler.option.optimization.1823654963" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="true" id="arm.base.compiler.option.debug.247742929" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.c.compiler.option.mcpu.1859846759" name="-mcpu" superClass="arm.toolchain.gcc.c.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1777988887" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.1298722807" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.692127807" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_DEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.493244401" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.1754792123" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<inputType id="arm.toolchain.gcc.c.input.748157869" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.1169245809" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker">
								<option id="arm.toolchain.gcc.c.linker.option.mcpu.1358739313" name="-mcpu" superClass="arm.toolchain.gcc.c.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1550075339" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.546989231" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.505756884" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
								<inputType id="arm.linker.input.1508961328" superClass="arm.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
								</inputType>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.compiler.1860223578" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler">
								<option defaultValue="false" id="arm.base.compiler.option.optimization.enable.163235061" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.og" id="arm.base.compiler.option.optimization.2048482582" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="true" id="arm.base.compiler.option.debug.1019220820" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.cpp.compiler.option.mcpu.1684875784" name="-mcpu" superClass="arm.toolchain.gcc.cpp.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1219143941" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.166038415" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.603888962" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1497950438" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.177391757" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.linker.378620080" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker">
								<option id="arm.toolchain.gcc.cpp.linker.option.mcpu.843333525" name="-mcpu" superClass="arm.toolchain.gcc.cpp.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.788291985" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.1266837557" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.1687412008" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.archiver.866183809" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver"/>
							<tool id="arm.loader.1010704569" name="ARM Loader Base" superClass="arm.loader">
								<option id="arm.loader.option.proc.2062264762" name="-proc" superClass="arm.loader.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.loader.option.sirevision.448710506" name="-si-revision" superClass="arm.loader.option.sirevision" value=" any" valueType="string"/>
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="system" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="system"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="arm.toolchain.gcc.target.exe.release.1616240517">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="arm.toolchain.gcc.target.exe.release.1616240517" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.analog.crosscore.core.CCESARMErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="clean" description="" errorParsers="com.analog.crosscore.core.CCESARMErrorParser" id="arm.toolchain.gcc.target.exe.release.1616240517" name="Release" parent="arm.toolchain.gcc.target.exe.release">
					<folderInfo id="arm.toolchain.gcc.target.exe.release.1616240517." name="/" resourcePath="">
						<toolChain id="arm.gcc.toolchain.exe.release.1587977106" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base.570196869" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<builder buildPath="${workspace_loc:/adc_tst}/Release" id="arm.toolchain.builder.base.986757966" keepEnvironmentInBuildfile="false" name="Gnu Make Builder" superClass="arm.toolchain.builder.base"/>
							<tool id="arm.toolchain.gcc.assembler.70075513" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler">
								<option id="arm.assembler.option.debuginfo.941650978" name="Generate debug information (-g)" superClass="arm.assembler.option.debuginfo" value="false" valueType="boolean"/>
								<option id="arm.toolchain.gcc.assembler.option.mcpu.909873241" name="-mcpu" superClass="arm.toolchain.gcc.assembler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.assembler.option.proc.2116331551" name="-mproc" superClass="arm.base.assembler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.assembler.option.sirevision.1837276557" name="-msi-revision" superClass="arm.assembler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.assembler.option.preprocessdefs.1057081572" name="Preprocessor definitions (-D):" superClass="arm.assembler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="NDEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.assembler.option.additionaldirectories.532517329" name="Additional include directories (-I):" superClass="arm.assembler.option.additionaldirectories" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<inputType id="arm.toolchain.assembler.base.input.1089785108" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.521674522" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler">
								<option defaultValue="true" id="arm.base.compiler.option.optimization.enable.758113351" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.o2" id="arm.base.compiler.option.optimization.476256525" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="false" id="arm.base.compiler.option.debug.1645261115" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.c.compiler.option.mcpu.799405617" name="-mcpu" superClass="arm.toolchain.gcc.c.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.21057755" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.534992203" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.526509860" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="NDEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.140679550" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.1580523393" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<inputType id="arm.toolchain.gcc.c.input.181550027" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.2076521679" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker">
								<option id="arm.toolchain.gcc.c.linker.option.mcpu.1110957303" name="-mcpu" superClass="arm.toolchain.gcc.c.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1669793330" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.907984197" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.1560230129" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
								<inputType id="arm.linker.input.1954994153" superClass="arm.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
								</inputType>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.compiler.908790843" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler">
								<option defaultValue="true" id="arm.base.compiler.option.optimization.enable.1430916143" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.o2" id="arm.base.compiler.option.optimization.650540244" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="false" id="arm.base.compiler.option.debug.1111046796" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.cpp.compiler.option.mcpu.1428299863" name="-mcpu" superClass="arm.toolchain.gcc.cpp.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1333188735" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.744700349" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.595462952" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.57807448" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.595719715" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.linker.1644078339" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker">
								<option id="arm.toolchain.gcc.cpp.linker.option.mcpu.1407787053" name="-mcpu" superClass="arm.toolchain.gcc.cpp.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1546403901" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.1304082135" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.1339354215" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.archiver.1815519811" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver"/>
							<tool id="arm.loader.971584019" name="ARM Loader Base" superClass="arm.loader">
								<option id="arm.loader.option.proc.1583122392" name="-proc" superClass="arm.loader.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.loader.option.sirevision.1266115826" name="-si-revision" superClass="arm.loader.option.sirevision" value=" any" valueType="string"/>
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="system" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="system"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="adc_tst.arm.toolchain.gcc.target.exe.1188447077" name="GCC ARM Embedded Executable Project" projectType="arm.toolchain.gcc.target.exe"/>
	</storageModule>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="arm.toolchain.gcc.target.exe.release.1616240517;arm.toolchain.gcc.target.exe.release.1616240517.;arm.toolchain.gcc.c.compiler.521674522;arm.toolchain.gcc.c.input.181550027">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="org.eclipse.cdt.core.language.mapping">
		<project-mappings>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.asmSource" language="com.analog.crosscore.ui.asm.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cHeader" language="org.eclipse.cdt.core.c.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cSource" language="org.eclipse.cdt.core.c.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cxxHeader" language="org.eclipse.cdt.core.c++.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cxxSource" language="org.eclipse.cdt.core.c++.adi.extension"/>
		</project-mappings>
	</storageModule>
	<storageModule moduleId="com.arm.cmsis.project">
		<rteConfig name="system.rteconfig"/>
		<toolChainAdapter id="com.analog.crosscore.cmsis.pack.build.gcc.toolChainAdapter" name="CrossCore GCC ARM Embedded Toolchain Adapter"/>
		<device Dclock="52000000" Dcore="Cortex-M4" DcoreVersion="r0p1" Dendian="Little-endian" Dfamily="ADuCM4x50 Series" Dfpu="SP_FPU" Dmpu="MPU" Dname="ADuCM4050" Dvendor="Analog Devices:1" Pname=""/>
		<files>
			<file name="RTE/Device/ADuCM4050/system_ADuCM4050.c" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_adc_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_uart_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_wdt_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_cycle_counting_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/startup_ADuCM4050.c" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/ADuCM4050.ld" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_global_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_pwr_config.h" version="1.0.0"/>
		</files>
	</storageModule>
</cproject>
